Subject: Re: [PATCH v2] gitweb: map names/emails with mailmap

From: Emma Brooks <[email-masked]>
Date: Mon, 7 Sep 2020 22:10:10 +0000

On 2020-09-04 20:26:11-0700, Junio C Hamano wrote:
> Emma Brooks <[email-masked]> writes:
> 
> > However, I couldn't find a way to get "rev-list --format" to separate
> > commits with NULs.
> 
> A workaround would be "git rev-list --format='%s%x00'", iow,
> manually insert NUL
> 
> I would have expected "-z" to replace LF with NUL, but that does not
> appear to work X-<.

Thanks. I'll need to ignore the extra LF when parsing then. Later, "-z"
support could be added/fixed in rev-list (#leftoverbits?) and gitweb
could be updated to use that instead.